import * as core from "@terrascript/core";

export interface TagArgs extends core.ResourceArgs {
  key: string | core.StringOut;

  resourceArn: string | core.StringOut;

  value: string | core.StringOut;
}

export class Tag extends core.Resource<TagArgs> {
  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public key!: string | core.StringOut;

  @core.attr(String)
  public resourceArn!: string | core.StringOut;

  @core.attr(String)
  public value!: string | core.StringOut;

  constructor(name: string, args?: TagArgs) {
    super(name, "aws_dynamodb_tag", args);
  }

  public override getNamespace(): string {
    return "aws_dynamodb";
  }
}
